Last Comment Bug 877132 - System integration dialog broken - Components.classes["@mozilla.org/mail/shell-service;1"] reference to undefined property
: System integration dialog broken - Components.classes["@mozilla.org/mail/shel...
Status: VERIFIED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 859125
  Show dependency treegraph
 
Reported: 2013-05-29 04:52 PDT by Mark Banner (:standard8)
Modified: 2013-06-25 05:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
The fix (780 bytes, patch)
2013-05-29 04:52 PDT, Mark Banner (:standard8)
bugspam.Callek: review+
neil: feedback+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mark Banner (:standard8) 2013-05-29 04:52:49 PDT
Created attachment 755303 [details] [diff] [review]
The fix

Trying to start the latest Thunderbird build on my desktop I'm getting:

Components.classes["@mozilla.org/mail/shell-service;1"] reference to undefined property

It appears in bug 859125 - http://hg.mozilla.org/comm-central/rev/50dcb67013a5#l1.47 - we lost mailcomps being included into the XUL build.

Fixing this fixes the system integration dialog as well, which would basically do nothing if this service isn't defined.
Comment 1 neil@parkwaycc.co.uk 2013-05-29 07:53:24 PDT
Comment on attachment 755303 [details] [diff] [review]
The fix

Too much copy-and-paste on my part. Sorry about that. (SeaMonkey just compiles its shell service with external linkage in a separate library.)
Comment 2 Justin Wood (:Callek) 2013-05-29 12:27:55 PDT
Comment on attachment 755303 [details] [diff] [review]
The fix

Review of attachment 755303 [details] [diff] [review]:
-----------------------------------------------------------------

drive by surprise review!
Comment 3 Mark Banner (:standard8) 2013-05-29 14:55:33 PDT
https://hg.mozilla.org/comm-central/rev/d0c1abdb3487
Comment 4 Joe Sabash [:JoeS1] 2013-05-29 15:12:49 PDT
I think Aurora is affected as well.
Comment 5 Joe Sabash [:JoeS1] 2013-05-30 13:42:00 PDT
Verified fixed on trunk.
Also verified that is indeed needed on:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20100101 Thunderbird/23.0a2 ID:20130530004001 CSet: 7bc2fd64ec45
Comment 6 Mark Banner (:standard8) 2013-05-31 15:11:32 PDT
Comment on attachment 755303 [details] [diff] [review]
The fix

a=me
Comment 7 Mark Banner (:standard8) 2013-05-31 15:13:53 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/c75bd0c80e55

Note You need to log in before you can comment on or make changes to this bug.